{
 Example #1 - "Initializing JSS."
 (c) Copyright 2000 Tecnic Software productions (TNSP)
 Programmed and designed by Matti "ccr" Hamalainen

 NOTICE! THIS EXAMPLE PROGRAM IS LICENSED UNDER
 "JSS EXAMPLE PROGRAM LICENSE" WHICH CAN BE FOUND FROM
 README FILE UNDER THIS (EXAMPLE PROGRAMS) DIRECTORY.

 DESCRIPTION:
 Very basic usage of JSS.
}
program Example1;

 uses BaseAPI, 
      JSS, JSSMod, JSSPlr;

 var
    ASaveExitProc:Pointer;
    ADevice:PJSSSoundDevice;
    AModule:PJSSModule;
    APlayer:PJSSModulePlayer;
    AKey:Longint;
    f:Longint;

procedure vmExitProc;
begin
 {** Do some de-initializations **}
 if (AModule <> NIL) then
    begin
     writeln('o Dispose module.');
     jssDisposeModule(AModule);
     AModule:= NIL;
    end;

 if (APlayer <> NIL) then
    begin
     writeln('o Close player.');
     dispose(APlayer, vmClose);
     APlayer:= NIL;
    end;

 if (ADevice <> NIL) then
    begin
     writeln('o Close sound device.');
     dispose(ADevice, vmClose);
     ADevice:= NIL;
    end;

 writeln('o jssClose(): ', jssClose);

 { Closing libBaseAPI is not necessary, if it has not been initialized! So...
  
 if (ioClose <> ioerrOK) then
    writeln('o Error closing libBaseAPI!');
 }

 ExitProc:= ASaveExitProc;
end;


begin
 {** First we do some inits **}
 ASaveExitProc:= ExitProc;
 ExitProc:= @vmExitProc;

 {** Then we show some nice messages **}
 writeln;
 writeln('Simple init example of J Sound System.');
 writeln('by ccr/TNSP in 2000 for JSS tutorial.');
 
 {** And now we load the samples **}
 writeln('* Loading samples...');
 
{
 TO BE WRITTEN 
}
end.
 
