{
  J Sound System - SETUP include file #2
  (C) Copyright Tecnic Software productions (TNSP)
  Programmed and designed by Matti "ccr" Hamalainen
  PLEASE READ FILE "README" FOR CONTACTING INFORMATION!

  LICENSE:
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation (should
  be found in file COPYING in main/root directory of J Sound
  System distribution package); either version 2.1 of the
  License, or any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.
                
  You should have received a copy of the GNU Lesser General Public
  License (in file COPYING) along with this library; if not,
  write to the Free Software Foundation, Inc., 59 Temple Place,
  Suite 330, Boston, MA  02111-1307  USA.
}

      {** Menu definations **}
      MainMenu:TMenu =
      (Title: 'Main Menu';
       Center: true;
       Items: 6;
       ItemEnabled: (true, true, true, true, true, true, true, true, true, true);
       ItemList: ('Sound device settings',
                  'Reset to defaults',
                  '~',
                  'Save and exit',
                  '~',
                  'Quit', '','', '','');

       ItemHelp: ('Select and setup sound device.',
                  'Reset all settings to defaults.',
                  '',
                  'Save settings and exit setup.',
                  '',
                  'Quit without saving settings.',
                  '','', '','')
       );


      DeviceSetupMenu:TMenu =
      (Title: 'Sound Device Settings';
       Center: true;
       Items: 9;
       ItemEnabled: (true, true, true, true, true, true, true, true,true,true);
       ItemList: ('Set Sound Device',
                  '~',
                  'Set Base I/O port',
                  'Set IRQ-line',
                  'Set DMA-channels',
                  'Set Mixing Frequency',
                  'Toggle Mixing Interpolation',
                  'Toggle Stereo/Mono Output',
                  'Set Output Mode/Resolution',
                  '');

       ItemHelp: ('Select sound output device.',
                  '',
                  'Set device''s base-I/O port.',
                  'Set device''s IRQ-line.',
                  'Set device''s DMA-channel.',
                  'Set sound mixing frequency (Affects quality of sound).',
                  'Toggle sound mixing interpolation ON/OFF. (Produces smoother sound)',
                  'Toggle Stereo/Mono output mode. (Output is stereo or mono)',
                  'Set output resolution (8 or 16-bit). (Affects quality of sound)',
                  '')
       );


      DeviceMenuItems = 7;
      DeviceMenu:TMenu =
      (Title: 'Sound Device';
       Center: true;
       Items: DeviceMenuItems;
       ItemEnabled: (true, true, true, true, true, true, true, true, true, true);
       ItemList: (jDevName_SB,
                  jDevName_GUS,
                 {jDevName_PAS,
                  jDevName_WSS, }
                  jDevName_PcSpk,
                  jDevName_DiskW,
                  jDevName_OSS,
		  '~',
                  jDevName_NoSound,
                  '','','');

       ItemHelp: (jDevDesc_SB,
                  jDevDesc_GUS,
                 {jDevDesc_PAS,
                  jDevDesc_WSS, }
                  jDevDesc_PcSpk,
                  jDevDesc_DiskW,
		  jDevDesc_OSS,
                  '',
                  jDevDesc_NoSound,
                  '','','')
      );
      DeviceMenuList:Array[1..DeviceMenuItems] of Word =
      (sdSoundBlaster, sdGravisUltrasound,
     {sdProAudioSpectrum, sdWindowsSoundSystem, }
      sdPCSpeaker, sdDiskWriter, sdOSS, $ffff, sdNoSound);


      {** Menu definations for soundcard settings **}
      SBaseItems = 8;
      SBaseList:Array[1..SBaseItems] of Word = ($210, $220, $230, $240, $250, $260, $270, $280);


      SIRQItems = 8;
      SIRQList:Array[1..SIRQItems] of Byte = (3, 4, 5, 7, 10, 11, 12, 15);


      SDMA8Items = 3;
      SDMA8List:Array[1..SDMA8Items] of Byte = (0, 1, 3);


      SDMA16Items = 3;
      SDMA16List:Array[1..SDMA16Items] of Byte = (5, 6, 7);

      SDMAItems = 6;
      SDMAList:Array[1..SDMAItems] of Byte = (0, 1, 3, 5, 6, 7);

      SMixSpeedItems = 5;
      SMixSpeedList:Array[1..SMixSpeedItems] of Word = (8000, 11025, 22050, 33075, 44100);


      MixingModeMenu:TMenu =
      (Title: 'Mixing resolution';
       Center: true;
       Items: 2;
       ItemEnabled: (true, true, true, true, true, true, true, true, true, true);
       ItemList: ('High quality        16-bit',
                  'Normal/low quality   8-bit',
                  '','','','','','','','');

       ItemHelp: ('Sets mixing resolution to 16-BITS. (Fast 486 or Pentium CPU recommended)',
                  'Sets mixing resolution to 8-BITS.  (Suitable for 386 or slow 486 CPU)',
                  '','','','','','','','')
      );


      OutputModeMenu:TMenu =
      (Title: 'Output mode';
       Center: true;
       Items: 2;
       ItemEnabled: (true, true, true, true, true, true, true, true, true, true);
       ItemList: ('16-bit',
                  '8-bit',
                  '','','','','','','','');

       ItemHelp: ('Sets output mode/resolution to 16-BITS.',
                  'Sets output mode/resolution to 8-BITS.',
                  '','','','','','','','')
      );


