{
  J Sound System - Configuration Fileformat Defines
  (C) Copyright Tecnic Software productions (TNSP)
  Programmed and designed by Matti "ccr" Hamalainen
  PLEASE READ FILE "README" FOR CONTACTING INFORMATION!

  LICENSE:
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation (should
  be found in file COPYING in main/root directory of J Sound
  System distribution package); either version 2.1 of the
  License, or any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.
                
  You should have received a copy of the GNU Lesser General Public
  License (in file COPYING) along with this library; if not,
  write to the Free Software Foundation, Inc., 59 Temple Place,
  Suite 330, Boston, MA  02111-1307  USA.
}

 const
      {** Sound device types **}
      sdNoSound             = $00;
      sdSoundBlaster        = $01;
      sdGravisUltrasound    = $02;
      sdPCSpeaker           = $03;
      sdProAudioSpectrum    = $04;
      sdOSS                 = $05;
      sdALSA                = $06;
      sdDiskWriter          = $10;

      {** Configuration file defs **}
      jssCfgHeader          = 'JSSCFG';
      jssCfgVersion         = $0400;

 type
     TJSSConfigFile = record
      {** Initial **}
      AHeader:String6;          { Indentification string }
      AVersion:Word;            { Version number }

      {** The actual data **}
      SDevice:ShortInt;         { Sound device type }
      SBase:Integer;            { Soundcard base I/O address }
      SIRQ,                     { Soundcard IRQ-line }
      SlDMA,                    { Soundcard LOW DMA-channel }
      ShDMA:ShortInt;           { and HIGH DMA-channel }
      SOutMode16bit,            { What output/mixing mode we use? }
      SOutModeStereo:Boolean;   { Use stereo output? }

      {** Mixing device specific **}
      SOutFreq:Longint;         { Mixing frequency (if a mixing device..) }
      SMixInterpolate:Boolean;  { Use soundmixing interpolation }
     end;
