{
  J Sound System - Device driver inclusion
  (C) Copyright Tecnic Software productions (TNSP)
  Programmed and designed by Matti "ccr" Hamalainen
  PLEASE READ FILE "README" FOR CONTACTING INFORMATION!

  LICENSE:
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation (should
  be found in file COPYING in main/root directory of J Sound
  System distribution package); either version 2.1 of the
  License, or any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.
                
  You should have received a copy of the GNU Lesser General Public
  License (in file COPYING) along with this library; if not,
  write to the Free Software Foundation, Inc., 59 Temple Place,
  Suite 330, Boston, MA  02111-1307  USA.
}

{ Here we include the needed source files for device drivers.
  Most of them are platform dependant, therefore we check for some
  conditionals and include the files from different directories.
  Some drivers, however, are platform INdependant like the diskwriter.
}

{$ifdef SUP_PLATFORM_USEDMA}
 {$I jssdma.pas}
{$endif}


{$ifdef SUP_PLATFORM_USEIRQ}
 {$I jssirq.pas}
{$endif}


{$ifdef PLATFORM_UNIX}
 {$ifdef SUP_DEV_OSS}
 {$I drivers\unix\jd_oss.pas}
 {$endif}

 {$ifdef SUP_DEV_NOSOUND}
 {$I drivers\unix\jd_nosnd.pas}
 {$endif}
{$endif}


{$ifdef PLATFORM_DOS}
 {$ifdef SUP_DEV_SB}
 {$I drivers\dos\jd_sb.pas}
 {$endif}

 {$ifdef SUP_DEV_GUS}
 {$I drivers\dos\jd_gus.pas}
 {$endif}

 {$ifdef SUP_DEV_NOSOUND}
 {$I drivers\dos\jd_nosnd.pas}
 {$endif}

 {$ifdef SUP_DEV_PCSPK}
 {$I drivers\dos\jd_pcspk.pas}
 {$endif}
{$endif}


{$ifdef PLATFORM_WIN32}
 {$ifdef SUP_DEV_DSOUND}
 {$I drivers\win32\jd_dsnd.pas}
 {$endif}

 {$ifdef SUP_DEV_NOSOUND}
 {$I drivers\win32\jd_nosnd.pas}
 {$endif}
{$endif}


{$ifdef SUP_DEV_DISKW}
 {$I drivers\jd_disk.pas}
{$endif}

