{
  J Sound System - Mixer mainloop skeleton
  (C) Copyright Tecnic Software productions (TNSP)
  Programmed and designed by Matti "cCr" Hamalainen
  PLEASE READ FILE "README" FOR CONTACTING INFORMATION!

  LICENSE:
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation (should
  be found in file COPYING in main/root directory of J Sound
  System distribution package); either version 2.1 of the
  License, or any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.
                
  You should have received a copy of the GNU Lesser General Public
  License (in file COPYING) along with this library; if not,
  write to the Free Software Foundation, Inc., 59 Temple Place,
  Suite 330, Boston, MA  02111-1307  USA.

  DESCRIPTION:
  Callback/mixing main loop body, needs to be inserted into
  a stub function. (See jmixer.pas)
}

 const H:Cardinal = 0;
       P:Cardinal = 0;
       O:Pointer  = NIL;
 
 var
    AMixChannel:Longint;
    AMixA:Single;
    AMixB, AMixLeft:Longint;
    AMixOffs:Pointer;

begin    
 {** Clear addition-buffer **}
 vmClearAddBuffer;

 {** Do the mixing, call the callback **}
 AMixOffs:= SAddBuffer;
 AMixLeft:= SUMixBufSize;
  
 while (AMixLeft > 0) AND
       (SCallBacks[1] <> NIL) do
 begin
  if (SCallBacks[1]^.SCounter < 2) then
  begin

   writeln(':::: H = ', H, '/', H-P, ' [0x', ioHexD(AMixOffs-O), '] ', AMixA:1:3, ' : ', AMixLeft);
   P:= H;
   O:= AMixOFfs;
 
   SCallBacks[1]^.vmExec;
   if (SCallBacks[1] <> NIL) then
      begin
       SCallBacks[1]^.SCounter:= SCallBacks[1]^.SCounterInit;
      end;
  end;

  if (SCallBacks[1] <> NIL) then
  begin
   AMixA:= SCallBacks[1]^.SCounter;
   if (AMixA > AMixLeft) then AMixA:= AMixLeft;
   SCallBacks[1]^.SCounter -= AMixA;
  end else
  begin
   AMixA:= AMixLeft;
  end;
  
  AMixB:= round(AMixA);
  
  inc(H, AMixB);
  dec(AMixLeft, AMixB);

  {** Mix the channels **}
  for AMixChannel:= jsetMinChannel to jsetMaxChannel do
  if (SChannel[AMixChannel].ChPlaying) then
     vmMixChannel(@SChannel[AMixChannel], AMixOffs, AMixB);

  inc(AMixOffs, (4 * AMixB));
 end;
