{
  J Sound System - Module player system include file #1
  (C) Copyright Tecnic Software productions (TNSP)
  Programmed and designed by Matti "ccr" Hamalainen
  PLEASE READ FILE "README" FOR CONTACTING INFORMATION!

  LICENSE:
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation (should
  be found in file COPYING in main/root directory of J Sound
  System distribution package); either version 2.1 of the
  License, or any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.
                
  You should have received a copy of the GNU Lesser General Public
  License (in file COPYING) along with this library; if not,
  write to the Free Software Foundation, Inc., 59 Temple Place,
  Suite 330, Boston, MA  02111-1307  USA.
}
 AOldPitch:= 1;

 {** Check for new note **}
 if (ACurrNote.Note <> mpNoData) then
 if (ACurrNote.Note <> mpNoteOff) then
 begin
  ANewPitch:= TRUE;
  mpCNote[AChannel]:= ACurrNote.Note;
    
  {** Check for new instrument **}
  if (ACurrNote.Instr <> mpNoData) and
    (ACurrNote.Instr >= 1) and
    (ACurrNote.Instr <= mpModule^.NInstruments) then
    begin
     {** Set new instrument **}
     ATempInst:= mpModule^.Instruments[ACurrNote.Instr];
     if (ATempInst <> NIL) and
        (ATempInst^.Used) then
        begin
         {** New instrument, set it **}
         ANewPitch:= TRUE;
         mpCVolume[AChannel]:= ATempInst^.Volume;
         mpCInstrument[AChannel]:= ACurrNote.Instr;
         mpCPosition[AChannel]:= 0;
         mpSetNDFlags(AChannel, (cdfNewInstr OR cdfNewPos OR cdfNewVolume));
        end;
    end;

  {** Set a new pitch **}
  if (ANewPitch) then
    begin
     {** Save the old values for Tone Portamento effect **}
     AOldPitch:= mpCPitch[AChannel];

     ATempInst:= mpGetInstrument(AChannel);
     
     if (ATempInst <> NIL) and
        (ATempInst^.Used) then
        begin
         {** Compute the new pitch **}
         if (ATempInst^.C4BaseSpeed > 0)
         then mpCPitch[AChannel]:= round((8363 * single(mpPeriodTable[mpCNote[AChannel]])) / ATempInst^.C4BaseSpeed)
         else mpCPitch[AChannel]:= 0;

         mpSetNDFlags(AChannel, cdfNewPitch);
        end;
    end;

 end else
  { Note-Off in S3M stops the sample totally }     
  mpSetNDFlags(AChannel, cdfStop);
