{
  J Sound System - Gravis Ultrasound driver
  (C) Copyright Tecnic Software productions (TNSP)
  Programmed and designed by Matti "ccr" Hamalainen
  PLEASE READ FILE "README" FOR CONTACTING INFORMATION!

  LICENSE:
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation (should
  be found in file COPYING in main/root directory of J Sound
  System distribution package); either version 2.1 of the
  License, or any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.
                
  You should have received a copy of the GNU Lesser General Public
  License (in file COPYING) along with this library; if not,
  write to the Free Software Foundation, Inc., 59 Temple Place,
  Suite 330, Boston, MA  02111-1307  USA.

  DESCRIPTION:
  This driver adds support for GUS, GUS Max and 100% compatibles.
  It does NOT use GF1 hardware mixing, but is software only. This
  is due to the fact that JSS supports up to 64 channels (and more
  if you want) and GF1 supports "only" 32 chans...

  And with 32 channels the quality becomes quite bad... so...
  I hope you get my point :)

  BUGS:
  Not really a driver at all. Need to integrate the real one
  from older sources.
}

constructor TJD_GravisUltrasound.vmInit(AConfig:TJSSConfigFile);
 var
    AStr:String;
    ATempB1, ATempB2:Byte;
    ATempPP:Longint;
begin
 {** Call inherited vmInit **}
 jssDev(jProcName_GUS, jDevName_GUS, jDevVer_GUS);
 inherited vmInit(AConfig);

 {** Detect Gravis Ultrasound **}
end;


destructor TJD_GravisUltrasound.vmClose;
 var ATempB1, ATempB2:Byte;
begin
 {** Shutdown Sound Blaster **}
 jssMsg(jProcName_GUS, 'Gravis Ultrasound shutdown...');


 {** Call inherited vmClose **}
 inherited vmClose;
end;
