{ 
  J Sound System - Headers
  (C) Copyright Tecnic Software productions (TNSP)
  Programmed and designed by Matti "cCr" Hamalainen
  PLEASE READ FILE "README" FOR CONTACTING INFORMATION!

  DESCRIPTION:

  ***********************************************************
  If you're adding a new loader, you need to add things to
  this file! You may also need to put stuff into jssmod.pas's
  header section, but it is not always necessary.
  ***********************************************************
  
  LICENSE:
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation (should
  be found in file COPYING in main/root directory of J Sound
  System distribution package); either version 2.1 of the
  License, or any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.
                
  You should have received a copy of the GNU Lesser General Public
  License (in file COPYING) along with this library; if not,
  write to the Free Software Foundation, Inc., 59 Temple Place,
  Suite 330, Boston, MA  02111-1307  USA.
}

{!!! Add your loader here, examples are plenty below !!!}
{ NOTICE: There is a certain order here. The loaders should be
  ordered so, that the ones with "most reliable" detector
  routine should be first and the ones with "least reliable"
  should be placed last. MOD should always be the LAST one
  since it uses some heuristics in detection and may produce
  false results!
}
{$ifdef SUP_LOAD_XM}  {$I jloadxm.pas}  {$endif}
{$ifdef SUP_LOAD_S3M} {$I jloads3m.pas} {$endif}
{$ifdef SUP_LOAD_PTM} {$I jloadptm.pas} {$endif}
{$ifdef SUP_LOAD_PSM} {$I jloadpsm.pas} {$endif}
{$ifdef SUP_LOAD_IT}  {$I jloadit.pas}  {$endif}
{$ifdef SUP_LOAD_MOD} {$I jloadmod.pas} {$endif}


{!!! Constants for module types (not the reference numbers!) !!!}
{*** Add one for your format below! ***}
{$ifdef GET_CONSTANTS}
      {** Module types **}
      jmdtUnknown        = 0;          { Unknown type/module not loaded }
      jmdtMOD            = 1;          { Pro/New/Amiga(Fast Tracker 1) Tracker }
      jmdtS3M            = 2;          { Scream Tracker III }
      jmdtPTM            = 3;          { Poly Tracker }
      jmdtPSM            = 4;          { ProTracker Studio 16 }
      jmdtSTM            = 5;          { Scream Tracker I/II }
      jmdtXM             = 6;          { Fast Tracker II }
      jmdtIT             = 7;          { Impulse Tracker }
{$endif}


{$ifdef GET_IMPLEMENTATION}
{!!! If you have more loaders than the count here, increase this constant !!!}

 const jssMaxModLoaders = 16;
{$endif}
