{ 
  J Sound System - Headers
  (C) Copyright Tecnic Software productions (TNSP)
  Programmed and designed by Matti "cCr" Hamalainen
  PLEASE READ FILE "README" FOR CONTACTING INFORMATION!

  DESCRIPTION:
  If you're adding a new player, you need to add stuff here.

  LICENSE:
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation (should
  be found in file COPYING in main/root directory of J Sound
  System distribution package); either version 2.1 of the
  License, or any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.
                
  You should have received a copy of the GNU Lesser General Public
  License (in file COPYING) along with this library; if not,
  write to the Free Software Foundation, Inc., 59 Temple Place,
  Suite 330, Boston, MA  02111-1307  USA.
}

{*********************************************************************}

{$ifdef GET_INTERFACE}

{$ifdef SUP_PLAY_S3M}
     PJP_S3MPlayer = ^TJP_S3MPlayer;
     TJP_S3MPlayer = object(TJSSModulePlayer)
      procedure mpChangePitch(AChannel, ADelta:Longint); virtual;
      procedure mpChangePitchWithLimits(AChannel, ADelta:Longint); virtual;
      procedure mpProcessNewRow(AChannel:Longint); virtual;
      procedure mpProcessEffects(AChannel:Longint); virtual;
     end;
{$endif}


{$ifdef SUP_PLAY_MOD}
     PJP_MODPlayer = ^TJP_MODPlayer;
     TJP_MODPlayer = object(TJSSModulePlayer)
      procedure mpChangePitch(AChannel, ADelta:Longint); virtual;
      procedure mpProcessNewRow(AChannel:Longint); virtual;
      procedure mpProcessEffects(AChannel:Longint); virtual;
     end;
{$endif}


{$ifdef SUP_PLAY_PTM}
     PJP_PTMPlayer = ^TJP_PTMPlayer;
     TJP_PTMPlayer = object(TJSSModulePlayer)
      procedure mpProcessNewRow(AChannel:Longint); virtual;
      procedure mpProcessEffects(AChannel:Longint); virtual;
     end;
{$endif}


{$ifdef SUP_PLAY_PSM}
     PJP_PSMPlayer = ^TJP_PSMPlayer;
     TJP_PSMPlayer = object(TJSSModulePlayer)
      procedure mpProcessNewRow(AChannel:Longint); virtual;
      procedure mpProcessEffects(AChannel:Longint); virtual;
     end;
{$endif}


{$ifdef SUP_PLAY_XM}
     PJP_XMPlayer = ^TJP_XMPlayer;
     TJP_XMPlayer = object(TJSSExtendedPlayer)
      mpLastFineVolumeslideUpParam,
      mpLastFineVolumeslideDownParam,

      mpLastExtraFinePortamentoUpParam,
      mpLastExtraFinePortamentoDownParam,

      mpLastFinePortamentoUpParam,
      mpLastFinePortamentoDownParam:TUByte;

      procedure mpCSetFreq(AChannel, AValue:Longint); virtual;
      procedure mpCSetVolume(AChannel, AVolume:Longint); virtual;
      procedure mpCSetPanning(AChannel, APanning:Longint); virtual;

      procedure mpProcessExtendedInstrument(AChannel:Longint); virtual;
      procedure mpProcessNewRow(AChannel:Longint); virtual;
      procedure mpProcessEffects(AChannel:Longint); virtual;

      procedure mpInitPlay; virtual;
     end;
{$endif}


{$ifdef SUP_PLAY_IT}
     PJP_ITPlayer = ^TJP_ITPlayer;
     TJP_ITPlayer = object(TJSSExtendedPlayer)
      procedure mpCSetFreq(AChannel, AValue:Longint); virtual;
      procedure mpCSetVolume(AChannel, AVolume:Longint); virtual;
      procedure mpCSetPanning(AChannel, APanning:Longint); virtual;

      procedure mpProcessEnvelopes(AChannel:Longint); virtual;
      procedure mpProcessNewRow(AChannel:Longint); virtual;
      procedure mpProcessEffects(AChannel:Longint); virtual;
     end;
{$endif}

{$endif}

{*********************************************************************}

{$ifdef GET_IMPLEMENTATION}

{$ifdef SUP_PLAY_S3M}
 {$I jplays3m.pas}
{$endif}

{$ifdef SUP_PLAY_MOD}
 {$I jplaymod.pas}
{$endif}

{$ifdef SUP_PLAY_PTM}
 {$I jplayptm.pas}
{$endif}

{$ifdef SUP_PLAY_PSM}
 {$I jplaypsm.pas}
{$endif}

{$ifdef SUP_PLAY_XM}
 {$I jplayxm.pas}
{$endif}

{$ifdef SUP_PLAY_IT}
 {$I jplayit.pas}
{$endif}

{$endif}

{*********************************************************************}
